package com.liquidnet.service.account.wallet.bo;

import java.math.BigDecimal;

/**
 * FinWalletBalBo.class
 *
 * @author zhanggb
 * Created by IntelliJ IDEA at 2020/12/18
 */
public class FinWalletBalanceBo implements Cloneable {
    private String walletNo;
    private BigDecimal balanceAvailable;
    private BigDecimal balancePending;
    private BigDecimal balanceFrozen;

    public String getWalletNo() {
        return walletNo;
    }

    public void setWalletNo(String walletNo) {
        this.walletNo = walletNo;
    }

    public BigDecimal getBalanceAvailable() {
        return balanceAvailable;
    }

    public void setBalanceAvailable(BigDecimal balanceAvailable) {
        this.balanceAvailable = balanceAvailable;
    }

    public BigDecimal getBalancePending() {
        return balancePending;
    }

    public void setBalancePending(BigDecimal balancePending) {
        this.balancePending = balancePending;
    }

    public BigDecimal getBalanceFrozen() {
        return balanceFrozen;
    }

    public void setBalanceFrozen(BigDecimal balanceFrozen) {
        this.balanceFrozen = balanceFrozen;
    }

    private static final FinWalletBalanceBo obj = new FinWalletBalanceBo();

    public static FinWalletBalanceBo getNew() {
        try {
            return (FinWalletBalanceBo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new FinWalletBalanceBo();
    }
}
